#pragma once
#include "../../stdafx.h"
#include "../glLibLocals.h"
#include "../glLibError.h"

#include "glLibTexture.h"
#include "glLibTexture1D.h"
#include "glLibTexture2D.h"
#include "glLibTexture3D.h"
#include "glLibTextureCube.h"

namespace glLib { namespace Texture {

void active_texture(int texture_number);

void select_texture(void);
void select_texture(const   texture_1D* texture);
void select_texture(const   texture_2D* texture);
void select_texture(const   texture_3D* texture);
void select_texture(const texture_cube* texture);

};};